Subject: bug#15998: 24.3; forward-sexp (scan-sexps) doesn't do well with some SEXPs

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 26 Jun 2019 17:23:05 +0200

Stefan Monnier <[email-masked]> writes:

>> 1) add `scan-sexps' an optional argument, `elisp-syntax'.
>
> I don't think I want to add such elisp-specific hacks to the
> scan-sexps code.  Better would be to change emacs-lisp-mode to set
> forward-sexp-function to a function that handles those cases.

But do we want to implement a brand new forward-sexp just for Emacs
Lisp?  I'm assuming that a Lisp-based implementation would be
uncomfortably slow...

To recap, the following doesn't forward-sexp correctly:

1. #s(...)          hash table
2. ^[...] ^^[...]   char table
5. ##               empty symbol
9. #&N"XXX"         bool vector

And especially 1) is rather annoying...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no